org.icefaces.ace.component.richtextentry

## Enum RichTextEntryBase.PropertyKeys

- java.lang.Object
- - java.lang.Enum<RichTextEntryBase.PropertyKeys>
  - - org.icefaces.ace.component.richtextentry.RichTextEntryBase.PropertyKeys

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RichTextEntryBase.PropertyKeys>
  Enclosing class:
    RichTextEntryBase

      protected static enum RichTextEntryBase.PropertyKeys
      extends java.lang.Enum<RichTextEntryBase.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `autogrow`
    `autogrowBufferSpace`
    `autogrowMaxHeight`
    `autogrowMinHeight`
    `customConfigPath`
    `disabled`
    `height`
    `language`
    `saveOnSubmit`
    `skin`
    `style`
    `styleClass`
    `toolbar`
    `width`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static RichTextEntryBase.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RichTextEntryBase.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### autogrow

          public static final RichTextEntryBase.PropertyKeys autogrow

    - #### autogrowBufferSpace

          public static final RichTextEntryBase.PropertyKeys autogrowBufferSpace

    - #### autogrowMaxHeight

          public static final RichTextEntryBase.PropertyKeys autogrowMaxHeight

    - #### autogrowMinHeight

          public static final RichTextEntryBase.PropertyKeys autogrowMinHeight

    - #### customConfigPath

          public static final RichTextEntryBase.PropertyKeys customConfigPath

    - #### disabled

          public static final RichTextEntryBase.PropertyKeys disabled

    - #### height

          public static final RichTextEntryBase.PropertyKeys height

    - #### language

          public static final RichTextEntryBase.PropertyKeys language

    - #### saveOnSubmit

          public static final RichTextEntryBase.PropertyKeys saveOnSubmit

    - #### skin

          public static final RichTextEntryBase.PropertyKeys skin

    - #### style

          public static final RichTextEntryBase.PropertyKeys style

    - #### styleClass

          public static final RichTextEntryBase.PropertyKeys styleClass

    - #### toolbar

          public static final RichTextEntryBase.PropertyKeys toolbar

    - #### width

          public static final RichTextEntryBase.PropertyKeys width

  - ### Method Detail

    - #### values

          public static RichTextEntryBase.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RichTextEntryBase.PropertyKeys c : RichTextEntryBase.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RichTextEntryBase.PropertyKeys valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<RichTextEntryBase.PropertyKeys>`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.